Retrieving the List of Word Registration Class Names
GET/classnames/:dgn
Retrieves a list of class names used for word registration in user dictionaries.
Request
Responses
- 200
- 401
- 404
- 405
- 500
Returns a list of class names in JSON format.
Returned when authentication of the API key (service authentication key string) fails.
| Response body | Error situation |
|---|---|
{"code":"-","message":"can't verify service authorization"} | When authentication of the API key fails |
{"code":"-","message":"service authorization has expired: <expirationTime> (<expiresIn>)"} | When the API key has expired |
Returned when the dictation grammar file name <dgn> is not specified.
| Response body | Error situation |
|---|---|
{"code":"?","message":"missing dictation grammar file name"} | When the connection engine name <dgn> is not specified |
Returned when POST is specified.
| Response body | Error situation |
|---|---|
{"code":"?","message":"POST method is not allowed"} | When POST is specified |
Returned when an unexpected exception occurs.
| Response body | Error situation |
|---|---|
{"code":"?","message":"unexpected exception occurred (<optionalMessage>)"} | When an unexpected exception occurs |